package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.EventType;

public interface EventTypeDAO {
	EventType findById(final int eventTypeId) throws ObjectNotFoundException;
	EventType findByName(final String name) throws ObjectNotFoundException;
	List<EventType> listAll();
}
